<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 07월 24일 금요일 오전 05시 14분 - 날씨 흐리고 비, 20, 20, 22, 20 / 측정소 점검중

  저 작 권 : Copyright ⓒ 2014-2023 피리 PIREE . All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 SAM > 라이브러리 > 피리 웹프로그램 > p770017 - 이미지 도우미
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

//.02.02 23:33

  define('PIREE_PLUS_IMAGE_HELPER_PROG_N',  '770017');

  define('PIREE_PLUS_IMAGE_HELPER_DIR',    'p'.PIREE_PLUS_IMAGE_HELPER_PROG_N.'__image_helper');
  define('PIREE_PLUS_IMAGE_HELPER_URL',    PIREE_URL .'/'. PIREE_PLUS_IMAGE_HELPER_DIR);
  define('PIREE_PLUS_IMAGE_HELPER_PATH',  PIREE_PATH .'/'. PIREE_PLUS_IMAGE_HELPER_DIR);

  define('PIREE_PLUS_IMAGE_LIST_URL',  PIREE_PLUS_IMAGE_HELPER_URL.'/image__list.php');

  define('PIREE_PLUS_IMAGE_VIEW_POPUP_URL',  PIREE_PLUS_IMAGE_HELPER_URL.'/image__view.popup.php?image_n=');

  function get__image_path($img_n)
  {

      $image_path_s = "";

      IF ( $img_n > 0 )
      {

          $dep_arr[0] = PIREE_UP_IMAGE_DIR;
          $dep_arr[1] = 1;
          $dep_arr[2] = 1;
          $dep_arr[3] = 1;
          $dep_arr[4] = 1;
          $dep_arr[5] = 1;
          $dep_arr[6] = 1;
          $dep_arr[7] = 1;

          IF ( strlen($img_n) > 19)                $dep_arr[2] = ceil(substr($img_n, strlen($img_n)-21, 3) );
          IF ( strlen($img_n) > 16)                $dep_arr[3] = ceil(substr($img_n, strlen($img_n)-18, 3) );
          IF ( strlen($img_n) > 13)                $dep_arr[4] = ceil(substr($img_n, strlen($img_n)-15, 3) );
          IF ( strlen($img_n) > 10)                $dep_arr[5] = ceil(substr($img_n, strlen($img_n)-12, 3) );
          IF ( strlen($img_n) > 7)                $dep_arr[6] = ceil(substr($img_n, strlen($img_n)-9, 3) );
          IF ( strlen($img_n) > 4)                $dep_arr[7] = ceil(substr($img_n, strlen($img_n)-6, 3) );

          $image_path_s = $dep_arr[0] ."/". $dep_arr[1] ."/". $dep_arr[2] ."/". $dep_arr[3] ."/". $dep_arr[4] ."/". $dep_arr[5] ."/". $dep_arr[6] ."/". $dep_arr[7] ."/";

          $img_path_arr[0] = G5_DATA_PATH."/". $dep_arr[0] ."/";
          $img_path_arr[1] = $img_path_arr[0].$dep_arr[1] ."/";
          $img_path_arr[2] = $img_path_arr[1].$dep_arr[2] ."/";
          $img_path_arr[3] = $img_path_arr[2].$dep_arr[3] ."/";
          $img_path_arr[4] = $img_path_arr[3].$dep_arr[4] ."/";
          $img_path_arr[5] = $img_path_arr[4].$dep_arr[5] ."/";
          $img_path_arr[6] = $img_path_arr[5].$dep_arr[6] ."/";
          $img_path_arr[7] = $img_path_arr[6].$dep_arr[7] ."/";

          FOR($i=0; $i<8; $i++ )
          {

              IF ( !file_exists($img_path_arr[$i]) )
              {

                  @mkdir($img_path_arr[$i], G5_DIR_PERMISSION);

                  @chmod($img_path_arr[$i], G5_DIR_PERMISSION);

              }

          }

      }

      return $image_path_s;

  }

  #  시작 => 이미지__가져오기____배열로_반환

  function get__image_list($arti_index_n, $img_face_n, $scale_n=50)
  {

      global $g5, $piree;

      $image_arr['count'] = 0;

      $sql_wh_s = "`iml_arti_idx_n`='". $arti_index_n ."'";

      $sql_limit_s = "";

      $image_arr['image_list_table'] = get__index_table_name("image", $arti_index_n);

      IF ( $img_face_n > 0 )
      {
          $sql_wh_s .= " AND `iml_image_n`='". $img_face_n ."'";
      }

      IF ( $scale_n > 0 )
      {
          $sql_limit_s = " LIMIT ". $scale_n;
      }

      $sql    = "SELECT * FROM `". $image_arr['image_list_table'] ."` WHERE ". $sql_wh_s." ORDER BY `iml_list_key_n ASC". $sql_limit_s;
      $result = sql_query($sql);

      WHILE( $row = sql_fetch_array($result) )
      {

          $img_n = $row['iml_image_n'];

          $image_arr[$img_n]['image_n'] = $img_n;

          $image_arr[$img_n]['idx_n'] = $row['idx_n'];

          $image_arr[$img_n]['is_face_n'] = $row['iml_is_face_n'];

          $image_arr[$img_n]['in_cont'] = $row['iml_in_cont'];

          $image_arr[$img_n]['href'] = get__index_url($row['idx_n']);

          $image_arr[$img_n]['dir_path'] = G5_DATA_PATH .'/'. $row['iml_path_s'];

          $image_arr[$img_n]['url_path'] = G5_DATA_URL .'/'. $row['iml_path_s'];

          $image_arr[$img_n]['file_s'] = $row['iml_file_new_s'];

          $image_arr[$img_n]['url'] = $image_arr[$img_n]['url_path'].$image_arr[$img_n]['file_s'];

          $image_arr[$img_n]['alt_s'] = stripslashes($row['iml_title_s']);

          $image_arr['count']++;

      }

      return $image_arr;

  }

  #  끝 => 이미지__가져오기____배열로_반환

?>